import os								# OS Locations
import yaml								# YAML parser for Bot config files
import asyncio							# Discord Py Dependency
import discord							# Main Lib
from discord.ext import commands		# Commands module
from discord_slash import SlashCommand, SlashContext, cog_ext, utils			# Slash Command Library
from discord_slash.utils.manage_commands import create_choice, create_option, create_permission	# Slash Command features
from discord_slash.model import SlashCommandPermissionType

from bot import configFile, yaml_load, yaml_dump

##### Game Management Commands
class Game_Management(commands.Cog, name='Game Management Commands'):
	def __init__(self, client):
		self.client = client

def setup(client):
	client.add_cog(Game_Management(client))